KEA-DHCP4(8)

NAME
kea-dhcp4 - DHCPv4 server in Kea

SYNOPSIS

kea-dhcp4 [-v] [-V] [-W] [-d] [-cconfig-file] [-pport-number]

DESCRIPTION

The kea-dhcp4 daemon provides the DHCPv4 server implementation.

ARGUMENTS

The arguments are as follows:

-v
    Display the version.

-V
    Display the extended version.

-W
    Display the configuration report.

-d
    Enable the debug mode with extra verbosity.

-c
    Configuration file including the configuration for DHCPv4 server. It may also contain configuration entries for other Kea services.

-p
    Port number (1-65535) on which the server listens. This is useful for testing purposes only.

DOCUMENTATION

Kea comes with an extensive Kea User's Guide documentation that covers all aspects of running the Kea software - compilation, installation, configuration, configuration examples and many more. Kea also features a Kea Messages Manual, which lists all possible messages Kea can print with a brief description for each of them. Both documents are typically available in various formats (txt, html, pdf) with your Kea distribution. The on-line version is available at http://kea.isc.org/docs/.

Kea source code is documented in the Kea Developer's Guide. It's on-line version is available at http://kea.isc.org. Please follow Developer's Guide link.

Kea project website is available at: http://kea.isc.org.

MAILING LISTS AND SUPPORT

There are two mailing lists available for Kea project. kea-users (kea-users at lists.isc.org) is intended for Kea users, while kea-dev (kea-dev at lists.isc.org) is intended for Kea developers, prospective contributors and other advanced users. Both lists are available at http://lists.isc.org. The community provides best effort type of support on both of those lists.

ISC provides professional support for Kea services. See https://www.isc.org/kea/ for details.

HISTORY

The b10-dhcp4 daemon was first coded in November 2011 by Tomek Mrugalski.

In the mid 2014 Kea was decoupled from the BIND10 framework and became a standalone DHCP server. The DHCPv4 server binary was renamed to kea-dhcp4. Kea 1.0.0 was released in December 2015.

SEE ALSO

kea-dhcp6(8), kea-dhcp-ddns(8), kea-admin(8), keactrl(8), perfdhcp(8), kea-lfc(8), Kea Administrator's Guide.

AUTHOR

The Kea software has been written by a number of engineers working for ISC: Tomek Mrugalski, Stephen Morris, Marcin Siodelski, Thomas Markwalder, Francis Dupont, Jeremy C. Reed, Wlodek Wencel and Shawn Routhier. That list is roughly in the chronological order in which the authors made their first contribution. For a complete list of authors and contributors, see AUTHORS file.

COPYRIGHT
Copyright © 2011-2016 Internet Systems Consortium, Inc. ("ISC")